&nbsp; ![openScale logo](https://github.com/oliexdev/openScale/blob/master/android_app/app/src/main/res/drawable-mdpi/ic_launcher_openscale.png) &nbsp;openScale [![Build Status](https://travis-ci.org/oliexdev/openScale.svg?branch=master)](
https://travis-ci.org/oliexdev/openScale)
[![Translation status](https://hosted.weblate.org/widgets/openscale/-/strings/svg-badge.svg)](https://hosted.weblate.org/engage/openscale/?utm_source=widget)
=========

openScale is an open source app which support various Bluetooth scales to keep easy log of your body metrics.

<a href="https://f-droid.org/repository/browse/?fdid=com.health.openscale" target="_blank">
<img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="80"/></a>
<a href="https://play.google.com/store/apps/details?id=com.health.openscale" target="_blank">
<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png" alt="Get it on Google Play" height="80"/></a>

Install [openScale-dev-build.apk](https://github.com/oliexdev/openScale/releases/tag/travis-dev-build) to get the latest development build generated by [Travis CI](https://travis-ci.org/). Also be aware that this version may contain bugs and you don't get any automatic updates.

# Features

- Logs your body metrics (weight, body fat, body water, muscle percentage, lean body mass, bone mass, BMI, BMR, waist/hip circumference, waist-hip ratio, waist-to-height ratio)
- Widget that can be added to the home screen showing any of the available metrics
- Keep track of your diet process
- Display all your data on a chart and table 
- Import or export your data from/into a CSV file
- Estimates body metrics (body fat, body water and lean body mass) based on scientic publications
- Support for multiple users
- Partial or full support for custom made Bluetooth scale, Xiaomi Mi scale v1/v2, Sanitas SBF70, Medisana BS430/BS444/BS440, Digoo DG-S038H, Yunmai Mini, Excelvan CF369BLE/CF366BLE, Yunmai SE, MGB, Exingtech Y1, Beurer BF700/BF710/BF800, Silvercrest SBF75, Runtastic Libra, Hesley (Yunchen), iHealth HS3, Easy Home 64050, Accuway, Trisa Body Analyze 4.0, Inlife (see [openScale wiki](https://github.com/oliexdev/openScale/wiki/Supported-scales-in-openScale) for details)
- Partially or full translated into Brazilian Portuguese, Catalan, Chinese (traditional), Croatian, Czech, Danish, Dutch, English, French, Galician, German, Greek, Hebrew, Italian, Japanese, Norwegian Bokmål, Polish, Romanian, Russian, Slovak, Slovenian, Spanish, Swedish, Turkish, Vietnamese
- No advertising and for free
- All data belongs to you (no cloud service)

# Need help?

Before asking, please first read the [FAQ](https://github.com/oliexdev/openScale/wiki/Frequently-Asked-Questions-(FAQ)), the [openScale wiki](https://github.com/oliexdev/openScale/wiki) and try to [find an answer](https://github.com/oliexdev/openScale/issues) in existing issues. If you still haven't found an answer, please create a [new issue](https://github.com/oliexdev/openScale/issues/new/choose) on GitHub.

# Supported Bluetooth scales

Please see in the [openScale wiki](https://github.com/oliexdev/openScale/wiki/Supported-scales-in-openScale) which Bluetooth scales are full or parially supported.

# Contributing

If you found a bug, have an idea how to improve the openScale app or have a question, please create new issue or comment existing one. If you would like to contribute code, fork the repository and send a pull request.

If you want to help to support your Bluetooth scale please see [here](https://github.com/oliexdev/openScale/wiki/How-to-reverse-engineer-a-Bluetooth-4.x-scale) for further information.

If you want to help to translate the app in your language please see [here](https://github.com/oliexdev/openScale/wiki/Frequently-Asked-Questions-(FAQ)#why-is-my-language-xyz-is-missing-or-incomplete)

# Screens

<table>
  <tr>
    <th>
        <a href="doc/screens/screen_overview.png" target="_blank">
        <img src='doc/screens/screen_overview.png' width='250px' alt='image missing' /> </a> <br>
        <sub><b>overview page</b></sub>
    </th>
    <th>
        <a href="doc/screens/screen_graph.png" target="_blank">
        <img src='doc/screens/screen_graph.png' width='250px' alt='image missing' /> </a> <br>
        <sub><b>graph page</b></sub>
    </th>
  </tr>
  
  <tr>
    <td>
        <a href="doc/screens/screen_table.png" target="_blank">
        <img src='doc/screens/screen_table.png' width='250px' alt='image missing' /> </a> <br>
        <sub><b>table page</b></sub>
    </td>
    <td>
        <a href="doc/screens/screen_statistics.png" target="_blank">
        <img src='doc/screens/screen_statistics.png' width='250px' alt='image missing' /> </a> <br>
        <sub><b>statistics page</b></sub>
    </td>
  </tr>
  <tr>
    <td>
        <a href="doc/screens/screen_dataentry.png" target="_blank">
        <img src='doc/screens/screen_dataentry.png' width='250px' alt='image missing' /> </a> <br>
        <sub><b>data entry page</b></sub>
    </td>
    <td>
    <!-- empty cell -->
    </td>
  </tr>
</table>

# License

openScale is licensed under the GPL v3, see LICENSE file for full notice.

    Copyright (C) 2014  olie.xdev <olie.xdev@googlemail.com>
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
